Package org.springframework.jdbc.datasource.embedded

# Interface EmbeddedDatabaseConfigurer

All Known Implementing Classes:
  `EmbeddedDatabaseConfigurerDelegate`

public interface EmbeddedDatabaseConfigurer
`EmbeddedDatabaseConfigurer` encapsulates the configuration required to create, connect to, and shut down a specific type of embedded database such as HSQL, H2, or Derby.

Since:
  3.0
Author:
  Keith Donald, Sam Brannen

## Method Summary

Modifier and Type
Method
Description
`void`
`configureConnectionProperties(ConnectionProperties properties, String databaseName)`
Configure the properties required to create and connect to the embedded database.
`void`
`shutdown(DataSource dataSource, String databaseName)`
Shut down the embedded database instance that backs the supplied `DataSource`.

## Method Details

### configureConnectionProperties

void configureConnectionProperties(ConnectionProperties properties, String databaseName)
Configure the properties required to create and connect to the embedded database.

Parameters:
  `properties` - connection properties to configure
  `databaseName` - the name of the embedded database

### shutdown

void shutdown(DataSource dataSource, String databaseName)
Shut down the embedded database instance that backs the supplied `DataSource`.

Parameters:
  `dataSource` - the corresponding `DataSource`
  `databaseName` - the name of the database being shut down